gamepads = love.joystick.getJoysticks( )
xboxPad1 = gamepads[1]

xboxPad1LeftTriggerReleased = true
xboxPad1RightTriggerReleased = true


function checkControls(dt) -- Put in update loop
	
	if love.keyboard.isDown("escape") then
		love.event.quit()
	end
	
	xboxPad1LeftStickX = xboxPad1:getAxis(1)
	xboxPad1LeftStickY = xboxPad1:getAxis(2)
   xboxPad1RightStickX = xboxPad1:getAxis(3)
	xboxPad1RightStickY = xboxPad1:getAxis(4)
   xboxPad1LeftTrigger = xboxPad1:getAxis(5)
   xboxPad1RightTrigger = xboxPad1:getAxis(6)
	
   
   ------------------------------------------ LEFT STICK
   
	-- LEFT
   if xboxPad1LeftStickX < -0.3 then
		player1.moving = true
		player1.xd = player1.xd + (xboxPad1LeftStickX*100)*dt
      if xboxPad1LeftTrigger > 0.1 then
         if xboxPad1LeftTriggerReleased then
            player1fire = true
            xboxPad1LeftTriggerReleased = false
         end
      else xboxPad1LeftTriggerReleased = true end
	end
	
	-- RIGHT
   if xboxPad1LeftStickX > 0.3 then
		player1.moving = true
		player1.xd = player1.xd + (xboxPad1LeftStickX*100)*dt
      if xboxPad1LeftTrigger > 0.1 then
         if xboxPad1LeftTriggerReleased then
            player1fire = true
            xboxPad1LeftTriggerReleased = false
         end
      else xboxPad1LeftTriggerReleased = true end
	end
	
	-- UP
   if xboxPad1LeftStickY < -0.3 then
		player1.moving = true
		player1.yd = player1.yd + (xboxPad1LeftStickY*100)*dt
      if xboxPad1LeftTrigger > 0.1 then
         if xboxPad1LeftTriggerReleased then
            player1fire = true
            xboxPad1LeftTriggerReleased = false
         end
      else xboxPad1LeftTriggerReleased = true end
	end
	
	-- DOWN
   if xboxPad1LeftStickY > 0.3 then
		player1.moving = true
		player1.yd = player1.yd + (xboxPad1LeftStickY*100)*dt
      if xboxPad1LeftTrigger > 0.1 then
         if xboxPad1LeftTriggerReleased then
            player1fire = true
            xboxPad1LeftTriggerReleased = false
         end
      else xboxPad1LeftTriggerReleased = true end
	end
   
   
   ------------------------------------------ RIGHT STICK
   
   -- Right
   if xboxPad1RightStickX < -0.3 then
		player2.xd = player2.xd + (xboxPad1RightStickX*100)*dt
      if xboxPad1RightTrigger > 0.3 then
         if xboxPad1RightTriggerReleased then
            player2fire = true
            xboxPad1RightTriggerReleased = false
         end
      else xboxPad1RightTriggerReleased = true end
	end
	
	-- RIGHT
   if xboxPad1RightStickX > 0.3 then
		player2.xd = player2.xd + (xboxPad1RightStickX*100)*dt
      if xboxPad1RightTrigger > 0.3 then
         if xboxPad1RightTriggerReleased then
            player2fire = true
            xboxPad1RightTriggerReleased = false
         end
      else xboxPad1RightTriggerReleased = true end
	end
	
	-- UP
   if xboxPad1RightStickY < -0.3 then
		player2.yd = player2.yd + (xboxPad1RightStickY*100)*dt
      if xboxPad1RightTrigger > 0.3 then
         if xboxPad1RightTriggerReleased then
            player2fire = true
            xboxPad1RightTriggerReleased = false
         end
      else xboxPad1RightTriggerReleased = true end
	end
	
	-- DOWN
   if xboxPad1RightStickY > 0.3 then
		player2.yd = player2.yd + (xboxPad1RightStickY*100)*dt
      if xboxPad1RightTrigger > 0.3 then
         if xboxPad1RightTriggerReleased then
            player2fire = true
            xboxPad1RightTriggerReleased = false
         end
      else xboxPad1RightTriggerReleased = true end
	end
   
   
   
	
	-- NO CONTROLS PRESSED
	if xboxPad1LeftStickX > -0.3 and xboxPad1LeftStickX < 0.3 and xboxPad1LeftStickY > -0.3 and xboxPad1LeftStickY < 0.3 then
		charMoving = false
		frame = 0
	end
   
   
   -- FIRE BULLETS
   
   if player1fire then
      bullet = bullet:new(player1.x, player1.y, (player1.xd+xboxPad1LeftTrigger)*bulletSpeed, (player1.yd+xboxPad1LeftTrigger)*bulletSpeed)
      table.insert(bullets, bullet)
      player1fire = false
   end
   
   if player2fire then
      bullet = bullet:new(player2.x, player2.y, player2.xd*bulletSpeed, player2.yd*bulletSpeed)
      table.insert(bullets, bullet)
      player2fire = false
   end
   
   
   
   -- UPDATE PLAYER MOVEMENT
	player1.x = player1.x + player1.xd; player1.xd = 0;
   player1.y = player1.y + player1.yd; player1.yd = 0;
   
   player2.x = player2.x + player2.xd; player2.xd = 0;
   player2.y = player2.y + player2.yd; player2.yd = 0;
   
   
   
	
   
   
   
end