g = love.graphics

function updateObjects(dt, obj)
   for i=1, table.getn(obj) do
      if obj[i] then
         obj[i]:update(dt)
      end
   end
end

function deleteObjects(obj)
   for i=1, table.getn(obj) do
      if obj[i] then
         if obj[i].deleteMe then
				table.remove(obj, i)
			end
      end
   end
end

function drawObjects(obj)
   for i=1, table.getn(obj) do
      if obj[i] then
         obj[i]:draw()
      end
   end
end

function initPlayers()
   player1 = player:new()
   player2 = player:new()
end

function initGame()
   player1.x = 30; player1.y = 30
   player2.x = 30; player2.y = 690
end