endLine = {}
 
-- CONSTRUCTOR
function endLine:new(lineY)
   local object = {
      y = lineY,
      deleteMe = false
   }
   setmetatable(object, { __index = endLine })
   return object
end


function endLine:update(dt)
	self.y = self.y + 20*dt
   
   -- CHECK BOUNDS
   if self.y > 900 then self.deleteMe = true end
end


function endLine:draw()
	g.setColor(182, 251, 21, 255)
   love.graphics.setLineStyle("smooth")
   love.graphics.setLineWidth(5)
   love.graphics.line(-10, self.y, 1300, (self.y+1400))
   g.setColor(255, 255, 255, 255)
end






